
Redmine - Defect #15951

Error when deleting project

2014-01-24 08:26 - Andrey Ivanov

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.4.2

Description

When I tried to delete project in Administratoion/Projects after confirmation I received an error Redmine 500 error.

In /var/www/redmine/log/production.log there are the following:

Started DELETE "/projects/x01" for 192.168.204.49 at Fri Jan 24 11:22:43 +0400 2014

Processing by ProjectsController#destroy as HTML

Parameters: {"authenticity_token"=>"/D91RCipYv10ilE/09o4HOJ8NytS8c3rlIdObYFcu8M=", "id"=>"x01"}

Current user: rifle (id=1)

Rendered projects/destroy.html.erb within layouts/base (6.8ms)

Completed 200 OK in 44.3ms (Views: 32.5ms | ActiveRecord: 4.0ms)

Started DELETE "/projects/x01" for 192.168.204.49 at Fri Jan 24 11:22:45 +0400 2014

Processing by ProjectsController#destroy as HTML

Parameters: {"commit"=>"Delete", "utf8"=>"✓", "confirm"=>"1",

"authenticity_token"=>"/D91RCipYv10ilE/09o4HOJ8NytS8c3rlIdObYFcu8M=", "id"=>"x01"}

Current user: rifle (id=1)

Completed 500 Internal Server Error in 482.0ms

NoMethodError (undefined method `children' for nil:NilClass):

app/models/issue.rb:165:in `create_or_update'

app/models/issue.rb:1371:in `recalculate_attributes_for'

app/models/issue.rb:1334:in `update_parent_attributes'

app/models/issue.rb:179:in `destroy'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:455:in `destroy_descendants'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:453:in `destroy_descendants'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:426:in `in_tenacious_transaction'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:443:in `destroy_descendants'

app/models/issue.rb:179:in `destroy'

app/controllers/projects_controller.rb:236:in `destroy'

Unfortunately I can't find the solurion in the internet. Redmine version 2.4.2

History

#1 - 2014-01-24 08:28 - Daniel Felix

Really the latest 2.4.2 or a checkout from our trunk?

You can check this via Administration > Info.

It points to the awesome_nested_set's which where modified in the current trunk.

#2 - 2014-01-24 08:31 - Andrey Ivanov

Daniel Felix wrote:

Really the latest 2.4.2 or a checkout from our trunk?

You can check this via Administration > Info.

It points to the awesome_nested_set's which where modified in the current trunk.

 Yes!

Environment:

Redmine version                2.4.2.stable

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]
Rails version                  3.2.16

Environment                    production

Database adapter               MySQL

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

redmine_better_gantt_chart     0.9.0

redmine_rt_custom_field        0.1.1

#3 - 2014-01-24 08:45 - Andrey Ivanov

Addition:

I can delete all projects except the only one.

#4 - 2014-01-25 12:27 - Jean-Philippe Lang

- Status changed from New to Needs feedback

I don't see any call to #children at app/models/issue.rb:165:in `create_or_update'. Could you try without plugins?

#5 - 2014-02-03 07:58 - Andrey Ivanov

Hi, Jean-Phileppe!

I can't delete plugins.

 The commands:

rake redmine:plugins:migrate NAME=redmine_better_gantt_chart  VERSION=0 RAILS_ENV=production

rake redmine:plugins:migrate NAME=redmine_rt_custom_field  VERSION=0 RAILS_ENV=production

procced without any error, but both plugins still avialible on the Administration/Plugins...

Regards,

Andrey

#6 - 2014-03-07 21:55 - Guillermo Euillades

I have the same issue in version 2.4.3 (also in 2.4.2) running on a debian linux.

any solution?
